$FILOBuy on Pons

$FILO & governance

Get a wallet's tier

Any wallet's $FILO balance and tier.

GET/v1/holdings/:address

Public. Returns a Holding. The balance is cached for up to 10 minutes and re-read from Robinhood Chain when older. If the chain read fails, you get the last cached value with stale: true (or tier 0 if there is none).

Errors

400invalid_address

Not a wallet address.

429rate_limited

More than 30 requests a minute from your IP.

Request
curl https://dapp.filobook.run/v1/holdings/0xf03bd21fc26cc0def8ce780d74fef2a1880525f5
Response · 200
{
  "address": "0xf03bd21fc26cc0def8ce780d74fef2a1880525f5",
  "balance": "1250000000000000000000000",
  "balance_display": "1,250,000.00",
  "tier": 2,
  "tier_name": "Bloom",
  "checked_at": "2026-11-14T10:02:11.000Z",
  "stale": false
}
Was this page helpful?